Bug 505193 - xguest asks for a password when logging in
xguest asks for a password when logging in
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-10 18:41 EDT by James Morris
Modified: 2015-01-14 18:23 EST (History)
8 users (show)

See Also:
Fixed In Version: 2.26.1-13.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-04 20:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Morris 2009-06-10 18:41:26 EDT
I installed the xguest package into a fresh F11 install, and when clicking on the guest account, was prompted for a password.  It should just log me in with no password prompted for.
Comment 1 Daniel Walsh 2009-06-11 11:56:06 EDT
Are you in enforcing mode?
It will prompt in permissive mode.
Comment 2 James Morris 2009-06-11 18:56:30 EDT
Yes.  It is in enforcing mode.
Comment 3 Daniel Walsh 2009-06-12 07:46:36 EDT
Then the other cause of this is you have an xguest_t process still running on the system

killall -9 -Z xguest_t
Comment 4 Michal Schmidt 2009-06-13 17:36:02 EDT
Same problem here.
In /var/log/secure I get:
Jun 13 23:33:13 leela pam: gdm-password[5166]: pam_unix(gdm-password:auth): authentication failure; logname= uid=0 euid=0 tty=:0 ruser= rhost=  user=xguest

So gdm is using /etc/pam.d/gdm-password. This file contains no reference to pam_selinux_permit.so. After I copied the line from /etc/pam.d/gdm , it started to work.
Comment 5 James Morris 2009-06-14 19:35:56 EDT
Dan, there was no previous xguest session running.  Have you tested it yourself?
Comment 6 Daniel Walsh 2009-06-15 14:29:29 EDT
Ray is this my bug or yours?
Comment 7 Daniel Walsh 2009-06-15 15:49:41 EDT
James not with F11 final.
Comment 8 James Morris 2009-06-24 07:21:17 EDT
Do you need any further information?

I'd like to be able to demo this at KCA in a few weeks.
Comment 9 Michal Schmidt 2009-06-24 09:10:23 EDT
James, does my workaround work for you?
Comment 10 James Morris 2009-06-25 18:47:54 EDT
(In reply to comment #9)
> James, does my workaround work for you?  

Yes, if it is added as the first line.  I don't know what the implications of that are.
Comment 11 Ray Strode [halfline] 2009-06-26 11:46:07 EDT
It's my bug.  The work around is the correct fix.
Comment 12 Daniel Walsh 2009-06-26 15:40:23 EDT
James, you want to grab the latest policy out of koji also.
Comment 13 Bruno Wolff III 2009-06-27 14:07:16 EDT
I didn't see an selinux_permit line in /etc/pam.d/gdm, but there was one in /etc/pam.d/xdm and using that one worked for me.
Comment 14 Michal Schmidt 2009-07-27 06:00:05 EDT
Ping? A confirmed fix has been known for a month, but it's not applied yet.
Comment 15 Ray Strode [halfline] 2009-07-27 10:28:38 EDT
Hi, I built a fix for this some time ago, but apparently never pushed an update after building the fix.  Will do so shortly. Thank you for the ping.
Comment 16 Ray Strode [halfline] 2009-07-27 10:30:18 EDT
Minor correction: I fixed this some time ago, but apparently never committed it,  built it or pushed an update.
Comment 17 Fedora Update System 2009-07-27 11:17:06 EDT
gdm-2.26.1-13.fc11 has been submitted as an update for Fedora 11.
Comment 18 Fedora Update System 2009-07-28 14:25:28 EDT
gdm-2.26.1-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8063
Comment 19 Fedora Update System 2009-08-04 20:39:11 EDT
gdm-2.26.1-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.